<!--
 - Created by MarcelBrimus on 22/08/2019.
 -->
<template>
    <article class="slds-card">
        <div class="slds-card__header slds-grid">
            <header class="slds-media slds-media_center slds-has-flexi-truncate">
                <h2 class="slds-card__header-title">
                    <span>{calendarTitle}</span>
                </h2>
            </header>
        </div>
        <div class="slds-card__body slds-card__body_inner">
            <lightning-spinner size="medium" if:true={loading}></lightning-spinner>
<!--LEGEND-->
            <ul class="slds-list--horizontal slds-has-block-links_space slds-m-bottom--medium slds-wrap" if:true={showLegend}>
                <li class="slds-item slds-m-right--xx-small">
                    <span class="slds-pill slds-pill_link scheduled">
                        <span class="slds-pill__label  slds-p-around_xx-small">Scheduled</span>
                    </span>
                </li>
                <li class="slds-item slds-m-right--xx-small">
                    <span class="slds-pill slds-pill_link activitylog">
                        <span class="slds-pill__label  slds-p-around_xx-small">Worked</span>
                    </span>
                </li>
                <li class="slds-item slds-m-right--xx-small">
                    <span class="slds-pill slds-pill_link activitylog-onHold">
                        <span class="slds-pill__label  slds-p-around_xx-small">On Hold</span>
                    </span>
                </li>
                <li class="slds-item slds-m-right--xx-small">
                    <span class="slds-pill slds-pill_link activitylog-onHold-rescheduled">
                        <span class="slds-pill__label  slds-p-around_xx-small">On Hold Re-Scheduled</span>
                    </span>
                </li>
                <li class="slds-item slds-m-right--xx-small">
                    <span class="slds-pill slds-pill_link activitylog-complete">
                        <span class="slds-pill__label  slds-p-around_xx-small">Completed</span>
                    </span>
                </li>
                <li class="slds-item slds-m-right--xx-small">
                    <span class="slds-pill slds-pill_link activitylog-err">
                        <span class="slds-pill__label  slds-p-around_xx-small">Stale</span>
                    </span>
                </li>
            </ul>
<!--CALENDAR-->
            <div class="calendar" lwc:dom="manual"></div>
<!--POPOVER-->
            <div class="slds-popover slds-popover_large"
                 role="tooltip" id="help"
                 style={hoverStyle}>
                <div class="slds-popover__body">
                    <div class="slds-text-heading_small">{hoverElement.title}</div>
                    <table class="slds-m-top--x-small">
                        <tr>
                            <td>{hoverElement.param1Label}</td>
                            <td>{hoverElement.param1Value}</td>
                        </tr>
                        <tr>
                            <td>{hoverElement.param2Label}</td>
                            <td>{hoverElement.param2Value}</td>
                        </tr>
                        <tr>
                            <td>{hoverElement.param3Label}</td>
                            <td>{hoverElement.param3Value}</td>
                        </tr>

                        <tr>
                            <td>{hoverElement.param4Label}</td>
                            <td>{hoverElement.param4Value}</td>
                        </tr>
                    </table>
                </div>
            </div>
        </div>
    </article>
</template>